Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.data
Class VisualLeaf

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.geom.Rectangle2D.Double
                  jprotein.tree.data.VisualLeaf

All Implemented Interfaces:
  java.awt.Shape, java.lang.Cloneable

Direct Known Subclasses:
  VisualNode

    public class VisualLeaf

extends java.awt.geom.Rectangle2D.Double

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary

Fields inherited from class java.awt.geom.Rectangle2D.Double
`height, width`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`VisualLeaf(Leaf leaf)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.util.Vector` | `getChild()`
`Leaf` | `getLeaf()`
`double` | `getLeftSpan()`
`double` | `getRightSpan()`
`double` | `getSpan()`
`double` | `getVMaxX()`
`double` | `getVMaxY()`
`double` | `getVMinX()`
`double` | `getVX()`
`double` | `getVY()`
`boolean` | `isSelected()`
`void` | `render(java.awt.Graphics2D g2)`
`void` | `select()`
`void` | `setScale(double scaleX, double scaleY)`
`void` | `setVX(double x)`
`void` | `setVY(double y)`
`java.lang.String` | `toString()`
`void` | `updateTree()`

Methods inherited from class java.awt.geom.Rectangle2D.Double
`createIntersection, createUnion, getBounds2D, getHeight, getWidth, getX, getY, isEmpty, outcode, setRect, setRect`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisualLeaf

    public VisualLeaf(Leaf leaf)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.awt.geom.Rectangle2D.Double`

### setScale

    public void setScale(double scaleX,
                         double scaleY)

### getLeaf

    public Leaf getLeaf()

### getChild

    public java.util.Vector getChild()

### getVX

    public double getVX()

### getVY

    public double getVY()

### setVX

    public void setVX(double x)

### setVY

    public void setVY(double y)

### getLeftSpan

    public double getLeftSpan()

### getRightSpan

    public double getRightSpan()

### getSpan

    public double getSpan()

### updateTree

    public void updateTree()

### getVMaxX

    public double getVMaxX()

### getVMinX

    public double getVMinX()

### getVMaxY

    public double getVMaxY()

### select

    public void select()

### isSelected

    public boolean isSelected()

### render

    public void render(java.awt.Graphics2D g2)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.awt.geom.Rectangle2D`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD